# Interface SyImageViewType

All Superinterfaces:
  `SyActiveReadableType, SyActiveType, SyBoundedReadableType<SySpaceParentRelativeType>, SyBoundedType<SySpaceParentRelativeType>, SyComponentReadableType, SyComponentType, SyEventReceiverType, SyImageViewReadableType, SyKeyboardFocusableReadableType, SyKeyboardFocusableType, SyMouseFocusAcceptingReadableType, SyMouseFocusAcceptingType, SySizedReadableType<SySpaceParentRelativeType>, SySizedType<SySpaceParentRelativeType>, SyThemeableReadableType, SyThemeableType, SyVisibleReadableType, SyVisibleType`

public interface SyImageViewType extends SyImageViewReadableType, SyComponentType
Write access to image views.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.io7m.jattribute.core.AttributeType<Optional<URI>>`
  `imageURI()`
  `default void`
  `setImageURI(String uri)`
  A convenience method to set the image URI.
  `default void`
  `setImageURI(URI uri)`
  A convenience method to set the image URI.

  ### Methods inherited from interface SyActiveReadableType

  `isMouseOver`

  ### Methods inherited from interface SyActiveType

  `activity, setActive`

  ### Methods inherited from interface SyBoundedReadableType

  `boundingArea`

  ### Methods inherited from interface SyBoundedType

  `position, setPosition`

  ### Methods inherited from interface SyComponentReadableType

  `ancestorMatchingReadable, childCount, isActive, isVisible, nodeReadable, relativePositionOf, screen, viewportPositionOf, windowReadable`

  ### Methods inherited from interface SyComponentType

  `ancestorMatching, childAdd, childRemove, childrenClear, componentForWindowRelative, layout, node, window`

  ### Methods inherited from interface SyEventReceiverType

  `eventSend`

  ### Methods inherited from interface SyImageViewReadableType

  `themeClassesDefaultForComponent`

  ### Methods inherited from interface SyKeyboardFocusableType

  `keyboardFocusBehavior`

  ### Methods inherited from interface SyMouseFocusAcceptingReadableType

  `isMouseQueryAccepting`

  ### Methods inherited from interface SyMouseFocusAcceptingType

  `setMouseQueryAccepting`

  ### Methods inherited from interface SySizedType

  `setSize, setSizeUpperLimit, size, sizeUpperLimit`

  ### Methods inherited from interface SyThemeableReadableType

  `themeClassesExtra, themeClassesInPreferenceOrder`

  ### Methods inherited from interface SyVisibleType

  `setVisible, visibility`

- ## Method Details

  - ### imageURI

    com.io7m.jattribute.core.AttributeType<Optional<URI>> imageURI()
    Specified by:
      `imageURI` in interface `SyImageViewReadableType`
    Returns:
      The image URI

  - ### setImageURI

    default void setImageURI(URI uri)
    A convenience method to set the image URI.
    Parameters:
      `uri` - The image URI

  - ### setImageURI

    default void setImageURI(String uri)
    A convenience method to set the image URI.
    Parameters:
      `uri` - The image URI